com.pdfunit

## Enum Standard

- java.lang.Object
- - java.lang.Enum<Standard>
  - - com.pdfunit.Standard

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Standard>

      @DoNotObfuscate
      public enum Standard
      extends java.lang.Enum<Standard>

  This enumeration defines constants used in the context of PDF/A validation.
  Since:
    2016.05
  Author:
    Carsten Siedentop, April 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PDFA_1A`
    `PDFA_1B`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.pdfbox.preflight.Format` | `getPdfBoxConstant()`
    `static Standard` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Standard[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PDFA_1A

          public static final Standard PDFA_1A

    - #### PDFA_1B

          public static final Standard PDFA_1B

  - ### Method Detail

    - #### values

          public static Standard[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Standard c : Standard.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Standard valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPdfBoxConstant

          public abstract org.apache.pdfbox.preflight.Format getPdfBoxConstant()

Copyright (C) PDFUnit.com. See here for license.